CoxIngersollRoss::Dynamics Class Reference

Dynamics of the short-rate under the Cox-Ingersoll-Ross model More...

`#include <ql/models/shortrate/onefactormodels/coxingersollross.hpp>`

Inheritance diagram for CoxIngersollRoss::Dynamics:
[legend]

## Public Member Functions

| Dynamics (Real theta, Real k, Real sigma, Real x0)
virtual Real | variable (Time, Rate r) const
| Compute state variable from short rate.
virtual Real | shortRate (Time, Real y) const
| Compute short rate from state variable.
Public Member Functions inherited from OneFactorModel::ShortRateDynamics
| ShortRateDynamics (const boost::shared_ptr< StochasticProcess1D > &process)
const boost::shared_ptr< StochasticProcess1D > & | process ()
| Returns the risk-neutral dynamics of the state variable.

## Detailed Description

Dynamics of the short-rate under the Cox-Ingersoll-Ross model

The state variable \( y_t \) will here be the square-root of the short-rate. It satisfies the following stochastic equation

\[ dy_t=\left[ (\frac{k\theta }{2}+\frac{\sigma ^2}{8})\frac{1}{y_t}- \frac{k}{2}y_t \right] d_t+ \frac{\sigma }{2}dW_{t} \]

.